package de.dass_it.vanhelsing.gui.items;
public class JobDefsItem extends ItemType implements UserObjectItem{
	private String name;
	private String enabled;
	private String type;
	private String level;
	private String accurate;
	private String verifyJob;
	private String jobDefs;
	private String bootstrap;
	private String writeBootstrap;
	private String client;
	private String fileSet;
	private String messages;
	private String pool;
	private String fullBackupPool;
	private String differentialBackupPool;
	private String incrementalBackupPool;
	private String schedule;
	private String storage;
	private String maxStartDelay;
	private String maxRunTime;
	private String incrementalDifferentialMaxWaitTime;
	private String incrementalMaxRunTime;
	private String differentialMaxWaitTime;
	private String maxRunSchedTime;
	private String maxWaitTime;
	private String maxFullInterval;
	private String preferMountedVolumes;
	private String pruneJobs;
	private String pruneFiles;
	private String pruneVolumes;
	private String runScript;
	private String runBeforeJob;
	private String runAfterJob;
	private String runAfterFailedJob;
	private String clientRunBeforeJob;
	private String clientRunAfterJob;
	private String rerunFailedLevels;
	private String spoolData;
	private String spoolAttributes;
	private String where;
	private String addPrefix;
	private String addSuffix;
	private String stripPrefix;
	private String regexWhere;
	private String replace;
	private String prefixLinks;
	private String maximumConcurrentJobs;
	private String RescheduleOnError;
	private String rescheduleInterval;
	private String rescheduleTimes;
	private String allowDuplicateJobs;
	private String allowHigherDuplicates;
	private String cancelLowerLevelDuplicates;
	private String cancelQueuedDuplicates;
	private String cancelRunningDuplicates;
	private String duplicateJobProximity;
	private String run;
	private String priority;
	private String allowMixedPriority;
	private String writePartAfterJob;

	public JobDefsItem() {}
	public JobDefsItem(String name, String client, String type, String level, String fileSet, String schedule, 
			String messages, String pool, String storage, String priority, String writeBootstrap){

	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getEnabled() {
		return enabled;
	}
	public void setEnabled(String enabled) {
		this.enabled = enabled;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public String getAccurate() {
		return accurate;
	}
	public void setAccurate(String accurate) {
		this.accurate = accurate;
	}
	public String getVerifyJob() {
		return verifyJob;
	}
	public void setVerifyJob(String verifyJob) {
		this.verifyJob = verifyJob;
	}
	public String getJobDefs() {
		return jobDefs;
	}
	public void setJobDefs(String jobDefs) {
		this.jobDefs = jobDefs;
	}
	public String getBootstrap() {
		return bootstrap;
	}
	public void setBootstrap(String bootstrap) {
		this.bootstrap = bootstrap;
	}
	public String getWriteBootstrap() {
		return writeBootstrap;
	}
	public void setWriteBootstrap(String writeBootstrap) {
		this.writeBootstrap = writeBootstrap;
	}
	public String getClient() {
		return client;
	}
	public void setClient(String client) {
		this.client = client;
	}
	public String getFileSet() {
		return fileSet;
	}
	public void setFileSet(String fileSet) {
		this.fileSet = fileSet;
	}
	public String getMessages() {
		return messages;
	}
	public void setMessages(String messages) {
		this.messages = messages;
	}
	public String getPool() {
		return pool;
	}
	public void setPool(String pool) {
		this.pool = pool;
	}
	public String getFullBackupPool() {
		return fullBackupPool;
	}
	public void setFullBackupPool(String fullBackupPool) {
		this.fullBackupPool = fullBackupPool;
	}
	public String getDifferentialBackupPool() {
		return differentialBackupPool;
	}
	public void setDifferentialBackupPool(String differentialBackupPool) {
		this.differentialBackupPool = differentialBackupPool;
	}
	public String getIncrementalBackupPool() {
		return incrementalBackupPool;
	}
	public void setIncrementalBackupPool(String incrementalBackupPool) {
		this.incrementalBackupPool = incrementalBackupPool;
	}
	public String getSchedule() {
		return schedule;
	}
	public void setSchedule(String schedule) {
		this.schedule = schedule;
	}
	public String getStorage() {
		return storage;
	}
	public void setStorage(String storage) {
		this.storage = storage;
	}
	public String getMaxStartDelay() {
		return maxStartDelay;
	}
	public void setMaxStartDelay(String maxStartDelay) {
		this.maxStartDelay = maxStartDelay;
	}
	public String getMaxRunTime() {
		return maxRunTime;
	}
	public void setMaxRunTime(String maxRunTime) {
		this.maxRunTime = maxRunTime;
	}
	public String getIncrementalDifferentialMaxWaitTime() {
		return incrementalDifferentialMaxWaitTime;
	}
	public void setIncrementalDifferentialMaxWaitTime(
			String incrementalDifferentialMaxWaitTime) {
		this.incrementalDifferentialMaxWaitTime = incrementalDifferentialMaxWaitTime;
	}
	public String getIncrementalMaxRunTime() {
		return incrementalMaxRunTime;
	}
	public void setIncrementalMaxRunTime(String incrementalMaxRunTime) {
		this.incrementalMaxRunTime = incrementalMaxRunTime;
	}
	public String getDifferentialMaxWaitTime() {
		return differentialMaxWaitTime;
	}
	public void setDifferentialMaxWaitTime(String differentialMaxWaitTime) {
		this.differentialMaxWaitTime = differentialMaxWaitTime;
	}
	public String getMaxRunSchedTime() {
		return maxRunSchedTime;
	}
	public void setMaxRunSchedTime(String maxRunSchedTime) {
		this.maxRunSchedTime = maxRunSchedTime;
	}
	public String getMaxWaitTime() {
		return maxWaitTime;
	}
	public void setMaxWaitTime(String maxWaitTime) {
		this.maxWaitTime = maxWaitTime;
	}
	public String getMaxFullInterval() {
		return maxFullInterval;
	}
	public void setMaxFullInterval(String maxFullInterval) {
		this.maxFullInterval = maxFullInterval;
	}
	public String getPreferMountedVolumes() {
		return preferMountedVolumes;
	}
	public void setPreferMountedVolumes(String preferMountedVolumes) {
		this.preferMountedVolumes = preferMountedVolumes;
	}
	public String getPruneJobs() {
		return pruneJobs;
	}
	public void setPruneJobs(String pruneJobs) {
		this.pruneJobs = pruneJobs;
	}
	public String getPruneFiles() {
		return pruneFiles;
	}
	public void setPruneFiles(String pruneFiles) {
		this.pruneFiles = pruneFiles;
	}
	public String getPruneVolumes() {
		return pruneVolumes;
	}
	public void setPruneVolumes(String pruneVolumes) {
		this.pruneVolumes = pruneVolumes;
	}
	public String getRunScript() {
		return runScript;
	}
	public void setRunScript(String runScript) {
		this.runScript = runScript;
	}
	public String getRunBeforeJob() {
		return runBeforeJob;
	}
	public void setRunBeforeJob(String runBeforeJob) {
		this.runBeforeJob = runBeforeJob;
	}
	public String getRunAfterJob() {
		return runAfterJob;
	}
	public void setRunAfterJob(String runAfterJob) {
		this.runAfterJob = runAfterJob;
	}
	public String getRunAfterFailedJob() {
		return runAfterFailedJob;
	}
	public void setRunAfterFailedJob(String runAfterFailedJob) {
		this.runAfterFailedJob = runAfterFailedJob;
	}
	public String getClientRunBeforeJob() {
		return clientRunBeforeJob;
	}
	public void setClientRunBeforeJob(String clientRunBeforeJob) {
		this.clientRunBeforeJob = clientRunBeforeJob;
	}
	public String getClientRunAfterJob() {
		return clientRunAfterJob;
	}
	public void setClientRunAfterJob(String clientRunAfterJob) {
		this.clientRunAfterJob = clientRunAfterJob;
	}
	public String getRerunFailedLevels() {
		return rerunFailedLevels;
	}
	public void setRerunFailedLevels(String rerunFailedLevels) {
		this.rerunFailedLevels = rerunFailedLevels;
	}
	public String getSpoolData() {
		return spoolData;
	}
	public void setSpoolData(String spoolData) {
		this.spoolData = spoolData;
	}
	public String getSpoolAttributes() {
		return spoolAttributes;
	}
	public void setSpoolAttributes(String spoolAttributes) {
		this.spoolAttributes = spoolAttributes;
	}
	public String getWhere() {
		return where;
	}
	public void setWhere(String where) {
		this.where = where;
	}
	public String getAddPrefix() {
		return addPrefix;
	}
	public void setAddPrefix(String addPrefix) {
		this.addPrefix = addPrefix;
	}
	public String getAddSuffix() {
		return addSuffix;
	}
	public void setAddSuffix(String addSuffix) {
		this.addSuffix = addSuffix;
	}
	public String getStripPrefix() {
		return stripPrefix;
	}
	public void setStripPrefix(String stripPrefix) {
		this.stripPrefix = stripPrefix;
	}
	public String getRegexWhere() {
		return regexWhere;
	}
	public void setRegexWhere(String regexWhere) {
		this.regexWhere = regexWhere;
	}
	public String getReplace() {
		return replace;
	}
	public void setReplace(String replace) {
		this.replace = replace;
	}
	public String getPrefixLinks() {
		return prefixLinks;
	}
	public void setPrefixLinks(String prefixLinks) {
		this.prefixLinks = prefixLinks;
	}
	public String getMaximumConcurrentJobs() {
		return maximumConcurrentJobs;
	}
	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
		this.maximumConcurrentJobs = maximumConcurrentJobs;
	}
	public String getRescheduleOnError() {
		return RescheduleOnError;
	}
	public void setRescheduleOnError(String rescheduleOnError) {
		RescheduleOnError = rescheduleOnError;
	}
	public String getRescheduleInterval() {
		return rescheduleInterval;
	}
	public void setRescheduleInterval(String rescheduleInterval) {
		this.rescheduleInterval = rescheduleInterval;
	}
	public String getRescheduleTimes() {
		return rescheduleTimes;
	}
	public void setRescheduleTimes(String rescheduleTimes) {
		this.rescheduleTimes = rescheduleTimes;
	}
	public String getAllowDuplicateJobs() {
		return allowDuplicateJobs;
	}
	public void setAllowDuplicateJobs(String allowDuplicateJobs) {
		this.allowDuplicateJobs = allowDuplicateJobs;
	}
	public String getAllowHigherDuplicates() {
		return allowHigherDuplicates;
	}
	public void setAllowHigherDuplicates(String allowHigherDuplicates) {
		this.allowHigherDuplicates = allowHigherDuplicates;
	}
	public String getCancelLowerLevelDuplicates() {
		return cancelLowerLevelDuplicates;
	}
	public void setCancelLowerLevelDuplicates(String cancelLowerLevelDuplicates) {
		this.cancelLowerLevelDuplicates = cancelLowerLevelDuplicates;
	}
	public String getCancelQueuedDuplicates() {
		return cancelQueuedDuplicates;
	}
	public void setCancelQueuedDuplicates(String cancelQueuedDuplicates) {
		this.cancelQueuedDuplicates = cancelQueuedDuplicates;
	}
	public String getCancelRunningDuplicates() {
		return cancelRunningDuplicates;
	}
	public void setCancelRunningDuplicates(String cancelRunningDuplicates) {
		this.cancelRunningDuplicates = cancelRunningDuplicates;
	}
	public String getDuplicateJobProximity() {
		return duplicateJobProximity;
	}
	public void setDuplicateJobProximity(String duplicateJobProximity) {
		this.duplicateJobProximity = duplicateJobProximity;
	}
	public String getRun() {
		return run;
	}
	public void setRun(String run) {
		this.run = run;
	}
	public String getPriority() {
		return priority;
	}
	public void setPriority(String priority) {
		this.priority = priority;
	}
	public String getAllowMixedPriority() {
		return allowMixedPriority;
	}
	public void setAllowMixedPriority(String allowMixedPriority) {
		this.allowMixedPriority = allowMixedPriority;
	}
	public String getWritePartAfterJob() {
		return writePartAfterJob;
	}
	public void setWritePartAfterJob(String writePartAfterJob) {
		this.writePartAfterJob = writePartAfterJob;
	}
}
